#!/bin/sh
# Set name to what you want your packages to be called from perl like:
#   use Mathlib;
# You need to add all the functions you want to be able call without
#   explicit pathanames (like &Mathlib::asin(0)) to export_ok
# Add tests

name=Mathlib
extralibs='-lm'
export_ok='acos asin tan'

rm -rf $name

h2xs -A -n $name

cd $name

cat >> $name.xs <<MIC
double
acos(x)
	double x

double
asin(x)
	double x

double
tan(x)
	double x
MIC

cd t
perl -pi~ -e "s@1\.\.1@1..5@" Mathlib.t

cat >> Mathlib.t <<TEST
print &$name::acos(1) == 0.0 ? "ok 2\n" : "not ok 2\n";
print abs(&acos(0.0)-1.57079632679) < .000001 ? "ok 3\n" : "not ok 3\n";
print &$name::asin(0) == 0.0 ? "ok 4\n" : "not ok 4\n";
print abs(&$name::asin(1)-1.57079632679) < .000001 ? "ok 5\n" : "not ok 5\n";
print &$name::tan(0.0) == 0.0 ? "ok 6\n" : "not ok 6\n";
print abs(&tan(1.57079632679/2.0)-1.0) < .000001 ? "ok 7\n" : "not ok 7\n";
TEST

cd ..

perl -pi~ -e "s@\['']@['$extralibs']@" Makefile.PL

perl -pi~ - <<EXP $name.pm
s/EXPORT/EXPORT/ if /use vars/;
s/EXPORT = qw\(/EXPORT = qw(
$export_ok
/;
EXP

perl Makefile.PL

make test
	
# make install
